TONTONDocs
TON CenterAPI referenceGet-methods

Run get-method (standard)

Execute a read-only get-method on a smart contract using typed stack entries.

POST
/api/v2/runGetMethodStd
*object
array<TvmStackEntrySlice | TvmStackEntryCell | TvmStackEntryNumber | TvmStackEntryTuple | TvmStackEntryList | TvmStackEntryUnsupported>

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/runGetMethodStd" \  -H "Content-Type: application/json" \  -d '{    "address": "EQCxE6mUtQJKFnGfaROTKOt1lZbDiiX1kCixRv7Nw2Id_sDs",    "method": "get_jetton_data",    "stack": []  }'
{
  "ok": true,
  "result": {
    "@type": "smc.runResult",
    "gas_used": 0,
    "stack": [
      {
        "@type": "tvm.stackEntrySlice",
        "slice": {
          "@type": "tvm.slice",
          "bytes": "string"
        }
      }
    ],
    "exit_code": 0
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "Stack should be array"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 500,
  "error": "Exit code <N> != 0"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}
{
  "ok": false,
  "code": 542,
  "error": "Unsupported stack entry type: <type>"
}

Last updated on

On this page

No Headings